#
# Specfile for libnfsidmap-mnsswitch
#
%define _root_libdir    /%{_lib}

#
# Basic descriptive tags for this package:
#
Name:           libnfsidmap-mnsswitch
Version:        0.25
Release:        2%{?dist}
Summary:        Multidomain NSS Translation Plugin for libnfsidmap

Group:          System Environment/Libraries
License:        Unknown

################################################################################

Source0:        libnfsidmap-%{version}.tar.gz
Source1:        mnss.c

Patch1:         40-DU-mnssfix.patch
Patch2:         50-DU-mnsslog.patch

################################################################################

Requires: libnfsidmap = %{version}

################################################################################

%description
MetaNFS4 provides automatic mapping of NFS4 Kerberos principals to local user
and group names. If the corresponding local user/group does not exist, a
temporary UID/GID is allocated on demand, so that the full Kerberos principal
is shown e.g. in "ls" output.

################################################################################

%prep
%setup -q -n libnfsidmap-%{version}
cp -a %{SOURCE1} ./
%patch1 -p1
%patch2 -p1

################################################################################

%build

gcc -c -o mnss.o mnss.c -O2 -Wall -fPIC -D__REENTRANT
gcc -O2 -Wall -fPIC   -o mnsswitch.so -shared -Wl,-Bdynamic mnss.o

################################################################################

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_root_libdir}/libnfsidmap/
cp mnsswitch.so $RPM_BUILD_ROOT/%{_root_libdir}/libnfsidmap/

################################################################################

%clean
rm -rf $RPM_BUILD_ROOT

################################################################################

%files
%defattr(-,root,root,-)
%{_root_libdir}/libnfsidmap/mnsswitch.so

################################################################################

%changelog
* Fri Oct 21 2016 Tomas Trnka <tomastrnka@gmx.com> - 0.25-2
- Fix gss_princ_to_grouplist
- Log unmatched names

* Fri Mar 06 2015 Tomas Trnka <tomastrnka@gmx.com> - 0.25-1
- Initial version
